## univention-admin-diary 2.0.3-1A~5.0.0.202105171326

=== Makefile ===
#!/usr/bin/make -f
#
# Copyright 2019-2021 Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.

build: umc/js/admindiary.css

%.css: %.styl
	stylus "$<"

clean:
	rm -f umc/js/admindiary.css

=== debian/changelog ===
univention-admin-diary (2.0.3-1A~5.0.0.202105171326) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Mon, 17 May 2021 13:26:35 +0200

univention-admin-diary (2.0.3-1) unstable; urgency=low

  * Bug #51334: Fix Python 3 compatibility

 -- Philipp Hahn <hahn@univention.de>  Fri, 14 May 2021 14:04:10 +0200

univention-admin-diary (2.0.2-7) unstable; urgency=low

  * Bug #51334: add python 3 compatibility

 -- Philipp Hahn <hahn@univention.de>  Mon, 03 May 2021 09:15:24 +0200

univention-admin-diary (2.0.2-6) unstable; urgency=medium

  * Bug #52941: added Icon tag to umc_modules file

 -- Jan Luttermann <luttermann@univention.de>  Mon, 26 Apr 2021 17:25:33 +0200

univention-admin-diary (2.0.2-5) unstable; urgency=medium

  * Bug #52941: moved svg file to icon directory in install file

 -- Jan Luttermann <luttermann@univention.de>  Mon, 26 Apr 2021 17:16:53 +0200

univention-admin-diary (2.0.2-4) unstable; urgency=medium

  * Bug #52941: added new icon design for admin diary

 -- Jan Luttermann <luttermann@univention.de>  Fri, 23 Apr 2021 14:02:14 +0200

univention-admin-diary (2.0.2-3) unstable; urgency=medium

  * Bug #52453: adjust font size

 -- Johannes Keiser <keiser@univention.de>  Fri, 05 Mar 2021 07:45:13 +0100

univention-admin-diary (2.0.2-2) unstable; urgency=medium

  * Bug #52453: adjust styling for UCS 5 Design

 -- Johannes Keiser <keiser@univention.de>  Tue, 09 Feb 2021 08:10:47 +0100

univention-admin-diary (2.0.2-1) unstable; urgency=medium

  * Bug #43686: use systemctl to start, stop or restart univention-directory-listener

 -- Sebastian Lobinger <lobinger@univention.de>  Fri, 30 Oct 2020 15:09:31 +0100

univention-admin-diary (2.0.1-2) unstable; urgency=low

  * Bug #52211: Convert to univention-join-dev

 -- Philipp Hahn <hahn@univention.de>  Thu, 15 Oct 2020 09:59:10 +0200

univention-admin-diary (2.0.1-1) unstable; urgency=medium

  * Bug #42374: IP Managed Client -> IP Client

 -- Arvid <requate@univention.de>  Mon, 05 Oct 2020 18:02:43 +0200

univention-admin-diary (2.0.1-0) unstable; urgency=medium

  * Bug #51334: add python 3 compatibility

 -- Florian Best <best@univention.de>  Fri, 02 Oct 2020 09:58:27 +0200

univention-admin-diary (2.0.0-5) unstable; urgency=medium

  * Bug #42374: Wording - Master -> Primary; Slave -> Replica

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Fri, 25 Sep 2020 10:14:07 +0200

univention-admin-diary (2.0.0-4) unstable; urgency=medium

  * some python 3 fixes

 -- Florian Best <best@univention.de>  Thu, 02 Jul 2020 12:55:31 +0200

univention-admin-diary (2.0.0-3) unstable; urgency=medium

  * Bug #51334: install global dependency everywhere

 -- Florian Best <best@univention.de>  Wed, 17 Jun 2020 01:17:47 +0200

univention-admin-diary (2.0.0-2) unstable; urgency=medium

  * Bug #51419: Remove false line in postinst

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Fri, 12 Jun 2020 16:35:18 +0200

univention-admin-diary (2.0.0-1) unstable; urgency=medium

  * Bug #51419: UCS-5.0-0 version bump

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Fri, 05 Jun 2020 18:06:27 +0200

univention-admin-diary (1.0.0-51) unstable; urgency=medium

  * Bug #51134: make UCR templates compatible to python3

 -- Florian Best <best@univention.de>  Tue, 21 Apr 2020 15:40:41 +0200

univention-admin-diary (1.0.0-50) unstable; urgency=medium

  * Bug #50531: negative limits are ignored and the default is used

 -- Johannes Keiser <keiser@univention.de>  Tue, 18 Feb 2020 12:06:58 +0100

univention-admin-diary (1.0.0-49) unstable; urgency=medium

  * Bug #50531: added admin/diary/query/limit ucr variable
    that limits the results of a query

 -- Johannes Keiser <keiser@univention.de>  Mon, 17 Feb 2020 11:37:54 +0100

univention-admin-diary (1.0.0-48) unstable; urgency=medium

  * Bug #49169: migrate univention-admin-diary to dh_python

 -- Florian Best <best@univention.de>  Mon, 11 Nov 2019 16:17:50 +0100

univention-admin-diary (1.0.0-47) unstable; urgency=medium

  * Bug #48698: Fix user visible spelling errors

 -- Philipp Hahn <hahn@univention.de>  Thu, 08 Aug 2019 05:46:40 +0200

univention-admin-diary (1.0.0-46) unstable; urgency=medium

  * Bug #49579: fix date not being shown correctly in IE and Safari

 -- Johannes Keiser <keiser@univention.de>  Fri, 12 Jul 2019 12:17:21 +0200

univention-admin-diary (1.0.0-45) unstable; urgency=medium

  * Bug #49056: Improve robustness and traceback logging

 -- Arvid Requate <requate@univention.de>  Mon, 13 May 2019 15:09:42 +0200

univention-admin-diary (1.0.0-44) unstable; urgency=medium

  * Bug #48972: Encode HTML entities in page

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Tue, 12 Mar 2019 18:39:30 +0100

univention-admin-diary (1.0.0-43) unstable; urgency=medium

  * Bug #48972: Encode HTML entities in grid

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Tue, 12 Mar 2019 17:07:40 +0100

univention-admin-diary (1.0.0-42) unstable; urgency=medium

  * Bug #48865: Lower log level when the client successfully writes rsyslog

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Tue, 05 Mar 2019 17:48:22 +0100

univention-admin-diary (1.0.0-41) unstable; urgency=medium

  * Bug #48341: UTF-8 support for mysql/mariadb

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Mon, 04 Mar 2019 23:29:35 +0100

univention-admin-diary (1.0.0-40) unstable; urgency=medium

  * Bug #48341: Better support for preinstalled mysql/mariadb

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Mon, 04 Mar 2019 13:25:17 +0100

univention-admin-diary (1.0.0-39) unstable; urgency=medium

  * Bug #48341: Do not open sockets during import

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Mon, 04 Mar 2019 04:56:47 +0100

univention-admin-diary (1.0.0-38) unstable; urgency=medium

  * Bug #48342: Do not unset backend UCRV during upgrades

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 27 Feb 2019 16:50:27 +0100



=== debian/control ===
Source: univention-admin-diary
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Build-Depends:
 debhelper,
 dh-python,
 node-stylus,
 python-all,
 python-typing,
 python3-all,
 univention-config-dev (>= 15.0.3),
 univention-join-dev,
 univention-management-console-dev (>= 12.0.2),
Standards-Version: 3.7.2

Package: univention-admin-diary-backend
Architecture: all
Depends:
 python-pyparsing,
 python-univention-admin-diary-backend (= ${binary:Version}),
 python3-pyparsing,
 python3-univention-admin-diary-backend (= ${binary:Version}),
 rsyslog-relp,
 ${misc:Depends},
Recommends:
 univention-postgresql | univention-mariadb,
Suggests:
 univention-management-console-module-admindiary,
Description: Univention Admin Diary backend
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: python-univention-admin-diary-backend
Architecture: all
Provides:
 ${python:Provides},
Depends:
 python-mysqldb,
 python-psycopg2,
 python-sqlalchemy,
 python-typing,
 python-univention-admin-diary (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: Univention Admin Diary backend library
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: python3-univention-admin-diary-backend
Architecture: all
Depends:
 python3-mysqldb,
 python3-psycopg2,
 python3-sqlalchemy,
 python3-univention-admin-diary (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: Univention Admin Diary backend library
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: univention-management-console-module-admindiary
Architecture: all
Depends:
 python-univention-admin-diary-backend (= ${binary:Version}),
 python3-univention-admin-diary-backend (= ${binary:Version}),
 univention-management-console-server (>= 11.0.4-37),
 ${python3:Depends},
 ${python:Depends},
Provides:
 ${python3:Provides},
 ${python:Provides},
Suggests:
 univention-admin-diary-backend,
Description: UMC module for the Admin Diary
 This package contains the UMC module for the Admin Diary
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: univention-admin-diary-client
Architecture: all
Depends:
 python3-univention-admin-diary (= ${binary:Version}),
 rsyslog-relp,
 ${misc:Depends},
Description: Univention Admin Diary client
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: python-univention-admin-diary
Architecture: all
Depends:
 python-typing,
 shell-univention-lib,
 ${misc:Depends},
 ${python:Depends},
Breaks:
 univention-admin-diary-client (<< 2.0.3),
Replaces:
 univention-admin-diary-client (<< 2.0.3),
Provides:
 ${python:Provides},
Description: Univention Admin Diary lib
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: python3-univention-admin-diary
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 univention-admin-diary-client (<< 2.0.3),
Replaces:
 univention-admin-diary-client (<< 2.0.3),
Description: Univention Admin Diary lib
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

=== debian/rules ===
#!/usr/bin/make -f
#
# Univention Common Python and Shell Library
#  rules file for the debian package
#
# Copyright 2002-2021 Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.

%:
	dh $@ --with python2,python3,umc,ucr,univention-join

## univention-admin-diary 2.0.4-3A~5.0.0.202206231831

=== debian/changelog ===
univention-admin-diary (2.0.4-3A~5.0.0.202206231831) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 23 Jun 2022 18:31:05 +0200

univention-admin-diary (2.0.4-3) unstable; urgency=low

  * Bug #54706: Fix missing dependency for create_logfile

 -- Philipp Hahn <hahn@univention.de>  Thu, 23 Jun 2022 18:23:33 +0200

univention-admin-diary (2.0.4-2) unstable; urgency=medium

  * Bug #54706: drop Python 3 package files

 -- Florian Best <best@univention.de>  Mon, 02 May 2022 12:51:57 +0200

univention-admin-diary (2.0.4-1) unstable; urgency=medium

  * Bug #54706: move essential files into Python 3 package

 -- Florian Best <best@univention.de>  Mon, 02 May 2022 11:37:19 +0200

univention-admin-diary (2.0.3-2) unstable; urgency=medium

  * Bug #53665: rename css class

 -- Johannes Keiser <keiser@univention.de>  Tue, 07 Sep 2021 10:05:13 +0200

## univention-admin-diary 2.0.4-4A~5.0.0.202207141212

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 #
-# Copyright 2019-2021 Univention GmbH
+# Copyright 2019-2022 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-admin-diary (2.0.4-4A~5.0.0.202207141212) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 14 Jul 2022 12:12:14 +0200

univention-admin-diary (2.0.4-4) unstable; urgency=medium

  * Bug #54273: Include debug script in server_password_change/univention-admin-diary subscript

 -- Juan Carlos García García <garcia-garcia.extern@univention.de>  Tue, 05 Jul 2022 12:25:08 +0200

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Univention Common Python and Shell Library
 #  rules file for the debian package
 #
-# Copyright 2002-2021 Univention GmbH
+# Copyright 2002-2022 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-admin-diary 2.0.4-7A~5.0.0.202209192110

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+#
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
 #
 # Copyright 2019-2022 Univention GmbH
 #

=== debian/changelog ===
univention-admin-diary (2.0.4-7A~5.0.0.202209192110) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Mon, 19 Sep 2022 21:10:28 +0200

univention-admin-diary (2.0.4-7) unstable; urgency=medium

  * Bug #49016: Typo

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Mon, 19 Sep 2022 21:08:47 +0200

univention-admin-diary (2.0.4-6) unstable; urgency=medium

  * Bug #49016: Enhanced exception handling in admin diary

 -- Peter Stoll <stoll.extern@univention.de>  Thu, 15 Sep 2022 16:28:13 +0200

univention-admin-diary (2.0.4-5) unstable; urgency=medium

  * Bug #51902: The UMC module "Admin Diary" now consumes less RAM

 -- Nikola Radovanovic <radovanovic.extern@univention.de>  Thu, 18 Aug 2022 12:22:37 +0200

=== debian/control ===
--- 
+++ 
@@ -62,6 +62,10 @@
  python3-univention-admin-diary (= ${binary:Version}),
  ${misc:Depends},
  ${python3:Depends},
+Replaces:
+ python-univention-admin-diary-backend (<< 2.0.4-1),
+Breaks:
+ python-univention-admin-diary-backend (<< 2.0.4-1),
 Description: Univention Admin Diary backend library
  .
  It is part of Univention Corporate Server (UCS), an
@@ -72,14 +76,11 @@
 Package: univention-management-console-module-admindiary
 Architecture: all
 Depends:
- python-univention-admin-diary-backend (= ${binary:Version}),
  python3-univention-admin-diary-backend (= ${binary:Version}),
  univention-management-console-server (>= 11.0.4-37),
  ${python3:Depends},
- ${python:Depends},
 Provides:
  ${python3:Provides},
- ${python:Provides},
 Suggests:
  univention-admin-diary-backend,
 Description: UMC module for the Admin Diary
@@ -126,6 +127,7 @@
 Package: python3-univention-admin-diary
 Architecture: all
 Depends:
+ shell-univention-lib,
  ${misc:Depends},
  ${python3:Depends},
 Breaks:

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 #
 # Univention Common Python and Shell Library
 #  rules file for the debian package
+#
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
 #
 # Copyright 2002-2022 Univention GmbH
 #

## univention-admin-diary 2.0.7-1A~5.0.0.202302032057

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2019-2022 Univention GmbH
+# Copyright 2019-2023 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-admin-diary (2.0.7-1A~5.0.0.202302032057) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Fri, 03 Feb 2023 20:57:17 +0100

univention-admin-diary (2.0.7-1) unstable; urgency=medium

  * Bug #31771: migrate tabs to spaces

 -- Florian Best <best@univention.de>  Fri, 03 Feb 2023 04:17:43 +0100

univention-admin-diary (2.0.6-1) unstable; urgency=medium

  * Bug #53092: Added fail checks for the join scripts

 -- Mika Westphal <westphal@univention.de>  Thu, 02 Feb 2023 13:17:15 +0100

univention-admin-diary (2.0.5-1) unstable; urgency=medium

  * Bug #55554: Fix UCR variable typing

 -- Philipp Hahn <hahn@univention.de>  Wed, 28 Sep 2022 19:53:25 +0200

## univention-admin-diary 2.0.7-2

=== debian/changelog ===
univention-admin-diary (2.0.7-2) unstable; urgency=medium

  * Bug #56201: replace python-notifier and adjust to new UMC module API

 -- Florian Best <best@univention.de>  Tue, 27 Jun 2023 16:16:36 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2002-2022 Univention GmbH
+# Copyright 2002-2023 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-admin-diary 3.0.6

=== debian/changelog ===
univention-admin-diary (3.0.6) unstable; urgency=medium

  * Bug #56604: remove workarounds for Python 2 compatibility

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:54:17 +0100

univention-admin-diary (3.0.5) unstable; urgency=medium

  * Bug #56540: Update Postgres 11 -> 13

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 07 Mar 2024 23:53:56 +0100

univention-admin-diary (3.0.4) unstable; urgency=medium

  * Bug #55994: drop Python 2 binary packages

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:52 +0100

univention-admin-diary (3.0.3) unstable; urgency=medium

  * Bug #53127: upgrade to latest debhelper compat version

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:40 +0100

univention-admin-diary (3.0.2) unstable; urgency=medium

  * Bug #56530: change Python 2 packages into transitional packages

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:23 +0100

univention-admin-diary (3.0.1) unstable; urgency=medium

  * Bug #55706: UCS 5.1-0 version bump

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 22:19:34 +0100

univention-admin-diary (2.0.9-1) UNRELEASED; urgency=medium

  * Bug #57118 UCS 5.0-7 version bump

 -- Philipp Hahn <hahn@univention.de>  Thu, 07 Mar 2024 15:51:54 +0100

univention-admin-diary (2.0.8-1) UNRELEASED; urgency=medium

  * Bug #56832: UCS 5.0-6 version bump

 -- Philipp Hahn <hahn@univention.de>  Thu, 07 Dec 2023 19:17:33 +0100

## univention-admin-diary 4.0.2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2019-2023 Univention GmbH
+# Copyright 2019-2024 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-admin-diary (4.0.2) unstable; urgency=medium

  * Bug #56604: use Python 3.11 code annotations

 -- Florian Best <best@univention.de>  Wed, 13 Mar 2024 00:46:33 +0100

univention-admin-diary (4.0.1) unstable; urgency=medium

  * Bug #55706: UCS 5.2-0 version bump

 -- Florian Best <best@univention.de>  Fri, 08 Mar 2024 00:12:21 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2002-2023 Univention GmbH
+# Copyright 2002-2024 Univention GmbH
 #
 # https://www.univention.de/
 #
@@ -34,4 +34,4 @@
 # <https://www.gnu.org/licenses/>.
 
 %:
-	dh $@ --with python2,python3,umc,ucr,univention-join
+	dh $@ --with python3,umc,ucr,univention-join

## univention-admin-diary 4.3.2

=== Makefile ===
#!/usr/bin/make -f
# SPDX-FileCopyrightText: 2019-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only

build: umc/js/admindiary.css

%.css: %.styl
	stylus "$<"

clean:
	rm -f umc/js/admindiary.css

=== debian/changelog ===
univention-admin-diary (4.3.2) unstable; urgency=medium

  * Bug #52202: add RESTORED events for users and groups

 -- Florian Best <best@univention.de>  Fri, 21 Nov 2025 11:22:42 +0100

univention-admin-diary (4.3.1) unstable; urgency=medium

  * Bug #52202: add RESTORE event

 -- Florian Best <best@univention.de>  Thu, 20 Nov 2025 14:15:24 +0100

univention-admin-diary (4.3.0) unstable; urgency=medium

  [ Ivan Barbecho Delgado ]
  * Bug #58568: UCS 5.2-3 version bump

  [ Florian Best ]
  * Bug #58644: make logging compatible to structured logging

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Tue, 02 Sep 2025 16:18:23 +0200

univention-admin-diary (4.2.0) UNRELEASED; urgency=medium

  * Bug #58344: UCS 5.2-2 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Wed, 28 May 2025 16:49:52 +0200

univention-admin-diary (4.0.3-1) UNRELEASED; urgency=medium

  * Bug #58015 UCS 5.2-1 version bump

 -- Christian Castens <castens@univention.de>  Mon, 03 Mar 2025 10:45:31 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,9 @@
 Priority: optional
 Maintainer: Univention GmbH <packages@univention.de>
 Build-Depends:
- debhelper,
+ debhelper-compat (=13),
  dh-python,
  node-stylus,
- python-all,
- python-typing,
  python3-all,
  univention-config-dev (>= 15.0.3),
  univention-join-dev,
@@ -17,8 +15,6 @@
 Package: univention-admin-diary-backend
 Architecture: all
 Depends:
- python-pyparsing,
- python-univention-admin-diary-backend (= ${binary:Version}),
  python3-pyparsing,
  python3-univention-admin-diary-backend (= ${binary:Version}),
  rsyslog-relp,
@@ -34,25 +30,6 @@
  corporate environments. For more information about UCS,
  refer to: https://www.univention.de/
 
-Package: python-univention-admin-diary-backend
-Architecture: all
-Provides:
- ${python:Provides},
-Depends:
- python-mysqldb,
- python-psycopg2,
- python-sqlalchemy,
- python-typing,
- python-univention-admin-diary (= ${binary:Version}),
- ${misc:Depends},
- ${python:Depends},
-Description: Univention Admin Diary backend library
- .
- It is part of Univention Corporate Server (UCS), an
- integrated, directory driven solution for managing
- corporate environments. For more information about UCS,
- refer to: https://www.univention.de/
-
 Package: python3-univention-admin-diary-backend
 Architecture: all
 Depends:
@@ -62,10 +39,6 @@
  python3-univention-admin-diary (= ${binary:Version}),
  ${misc:Depends},
  ${python3:Depends},
-Replaces:
- python-univention-admin-diary-backend (<< 2.0.4-1),
-Breaks:
- python-univention-admin-diary-backend (<< 2.0.4-1),
 Description: Univention Admin Diary backend library
  .
  It is part of Univention Corporate Server (UCS), an
@@ -104,26 +77,6 @@
  corporate environments. For more information about UCS,
  refer to: https://www.univention.de/
 
-Package: python-univention-admin-diary
-Architecture: all
-Depends:
- python-typing,
- shell-univention-lib,
- ${misc:Depends},
- ${python:Depends},
-Breaks:
- univention-admin-diary-client (<< 2.0.3),
-Replaces:
- univention-admin-diary-client (<< 2.0.3),
-Provides:
- ${python:Provides},
-Description: Univention Admin Diary lib
- .
- It is part of Univention Corporate Server (UCS), an
- integrated, directory driven solution for managing
- corporate environments. For more information about UCS,
- refer to: https://www.univention.de/
-
 Package: python3-univention-admin-diary
 Architecture: all
 Depends:

=== debian/rules ===
#!/usr/bin/make -f
#
# Univention Common Python and Shell Library
#  rules file for the debian package
#
# SPDX-FileCopyrightText: 2002-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only

%:
	dh $@ --with python3,umc,ucr,univention-join

## univention-admin-diary 4.4.0

=== debian/changelog ===
univention-admin-diary (4.4.0) unstable; urgency=medium

  * Bug #58848: UCS 5.2-4 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Fri, 28 Nov 2025 09:30:04 +0100
